#include <stdlib.h>
#include "geosim.h"
#include "gspriv.h"
#include "iefile.h"
#include "windfunc.h"
#include "editrec.h"
#include "infprocs.h"
#include "config.h"
#include "ietypes.h"
/*#define TAB_FOR_SS*/
#ifdef TAB_FOR_SS
#include "rootw.h"
#endif

BigString interfacefile;

int GS_MAIN(GS_MAIN_ARGS_F)
{
	if (!GSinitlog("wt"))	{
		printf("Can't initialize log.\n");
		GSdelay(ERRORDELAY);
		exit(-1);
		}
	read_config_file();

	GSinterfaceinit("GIL Graphical Builder", 
			interfacefile, BSTORE, "w", G640x480x256, GS_MAIN_ARGS_A);
	
	GScharfunc("process_key");
	reset_state();
	DrawFileWind();
	GSinterface();
	return(0);
}

boolean process_key(int x, int y, char ch)
{
#ifdef TAB_FOR_SS
	if (ch == '\t')
		dump_screen(" ");
#endif
	if (!ProcessChar(ch))
		GSbell();
}

boolean null_func(void)
{
}
